Bug 170150 - games/uhexen2: Update to version 1.5.3
Summary: games/uhexen2: Update to version 1.5.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-25 19:10 UTC by tkato432
Modified: 2014-02-27 14:10 UTC (History)
0 users

See Also:


Attachments
file.diff (11.73 KB, patch)
2012-07-25 19:10 UTC, tkato432
no flags Details | Diff
games_uhexen2.diff (11.91 KB, patch)
2013-01-14 18:27 UTC, tkato432
no flags Details | Diff
games_uhexen2.diff (11.93 KB, patch)
2013-03-19 17:51 UTC, tkato432
no flags Details | Diff
games_uhexen2.diff (12.33 KB, patch)
2013-10-31 19:25 UTC, tkato432
no flags Details | Diff
games_uhexen2.diff (12.39 KB, patch)
2014-02-10 18:25 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-07-25 19:10:12 UTC
- Update to version 1.5.3

Remove file:
files/patch-scripts__makefile.inc
Comment 1 Edwin Groothuis freebsd_committer 2012-07-25 19:11:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2012-08-05 23:08:27 UTC
State Changed
From-To: open->feedback

this patch reject.
Comment 3 Baptiste Daroussin freebsd_committer 2012-10-29 09:53:22 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Reassign to the heap miwi being overloaded for now
Comment 4 tkato432 2013-01-14 18:27:48 UTC
Version 1.5.5 has been released.
Comment 5 Alexey Dokuchaev freebsd_committer 2013-01-28 06:18:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danfe

Grab it.
Comment 6 tkato432 2013-03-19 17:51:02 UTC
Version 1.5.6 has been released.
Comment 7 tkato432 2013-10-31 19:25:30 UTC
Remake of the patch against current tree.
Comment 8 tkato432 2014-02-10 18:25:14 UTC
Remake of the patch against current tree.
Comment 9 Martin Wilke freebsd_committer 2014-02-27 14:06:18 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 10 dfilter service freebsd_committer 2014-02-27 14:06:25 UTC
Author: miwi
Date: Thu Feb 27 14:06:16 2014
New Revision: 346338
URL: http://svnweb.freebsd.org/changeset/ports/346338
QAT: https://qat.redports.org/buildarchive/r346338/

Log:
  - Update to 1.5.6
  
  PR:		170150
  Submitted by:	ports fury

Deleted:
  head/games/uhexen2/files/patch-scripts__makefile.inc
Modified:
  head/games/uhexen2/Makefile
  head/games/uhexen2/distinfo
  head/games/uhexen2/files/Makefile
  head/games/uhexen2/pkg-plist

Modified: head/games/uhexen2/Makefile
==============================================================================
--- head/games/uhexen2/Makefile	Thu Feb 27 14:01:14 2014	(r346337)
+++ head/games/uhexen2/Makefile	Thu Feb 27 14:06:16 2014	(r346338)
@@ -2,65 +2,48 @@
 # $FreeBSD$
 
 PORTNAME=	uhexen2
-PORTVERSION=	1.5.1
-PORTREVISION=	1
+PORTVERSION=	1.5.6
 CATEGORIES=	games
-MASTER_SITES=	SF/${PORTNAME}/Hammer%20of%20Thyrion/${PORTVERSION}/Source
+MASTER_SITES=	SF/${PORTNAME}/Hammer%20of%20Thyrion/${PORTVERSION}/Source \
+		SF/${PORTNAME}/Hexen2%20GameData/gamedata-1.28:data
 DISTNAME=	hexen2source-${PORTVERSION}
 EXTRACT_SUFX=	.tgz
-DISTFILES=	${DISTNAME}${EXTRACT_SUFX}
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX} \
+		gamedata-all-1.28${EXTRACT_SUFX}:data
 DIST_SUBDIR=	${PORTNAME}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Hexen II source port supporting Linux/FreeBSD/Unix/Windows
 
-DEPRECATED=	No more public distfiles
-EXPIRATION_DATE=	2014-03-10
+LICENSE=	GPLv2 # (or later)
 
-LIB_DEPENDS=	mad.2:${PORTSDIR}/audio/libmad
-
-LICENSE_=	GPLv2 GPLv3
-LICENSE_COMB=	dual
-
-USE_GMAKE=	yes
-USE_GL=		yes
-USE_SDL=	sdl mixer
-WANT_GNOME=	yes
-MAKE_JOBS_UNSAFE=	yes
+LIB_DEPENDS=	libmad.so:${PORTSDIR}/audio/libmad \
+		libvorbis.so:${PORTSDIR}/audio/libvorbis
 
 OPTIONS_MULTI=	BIN
 OPTIONS_MULTI_BIN=	HEXEN2 HW
-OPTIONS_DEFINE=	DEMO LAUNCHER_GTK1 LAUNCHER_GTK2 X86_ASM DOCS
-OPTIONS_DEFAULT=	HEXEN2 HW LAUNCHER_GTK1 X86_ASM
-DEMO_DESC=	Install demo version of the game data
-HEXEN2_DESC=	Build Hexen II clients and servers
-HW_DESC=	Build HexenWorld clients and servers
+OPTIONS_DEFINE=	LAUNCHER_GTK1 LAUNCHER_GTK2 LAUNCHER_GTK3 DOCS
+OPTIONS_DEFAULT=	HEXEN2 HW LAUNCHER_GTK2
+OPTIONS_DEFINE_i386=	ASM
+OPTIONS_DEFAULT_i386=	ASM
+
+HEXEN2_DESC=		Build Hexen II clients and servers
+HW_DESC=		Build HexenWorld clients and servers
 LAUNCHER_GTK1_DESC=	Build graphical (GTK1) game launcher
 LAUNCHER_GTK2_DESC=	Build graphical (GTK2) game launcher
-X86_ASM_DESC=	Enable use of optimized x86 assembly code
+LAUNCHER_GTK3_DESC=	Build graphical (GTK3) game launcher
 
-PORTSCOUT=	skipb:yes
+USES=		gmake pkgconfig
+USE_SDL=	sdl
+USE_GL=		gl
+MAKE_ENV=	X11BASE="${LOCALBASE}"
+MAKE_JOBS_UNSAFE=yes
 
-NO_STAGE=	yes
-.include <bsd.port.pre.mk>
+SUB_FILES=	pkg-message
 
-.if ${PORT_OPTIONS:MDEMO}
-MASTER_SITES+=	SF/${PORTNAME}/Hammer%20of%20Thyrion/${PORTVERSION}/Linux-demo-version:demo
-DISTFILES+=	hexen2demo-${PORTVERSION}-linux-i586${EXTRACT_SUFX}:demo
-MAKE_ENV+=	DEMO=yes
-PLIST_SUB+=	DEMO="" \
-		FULL="@comment "
-UH2_DATA=	default.cfg hexen.rc pak0.pak progs.dat
-UH2_DATADIR=	${WRKDIR}/hexen2demo-${PORTVERSION}
-.else
-MASTER_SITES+=	SF/${PORTNAME}/Hexen2%20GameData/gamedata-1.20:data
-DISTFILES+=	gamedata-all-1.20${EXTRACT_SUFX}:data
-PLIST_SUB+=	DEMO="@comment " \
-		FULL=""
-SUB_FILES+=	pkg-message
-UH2_DATA=	default.cfg hexen.rc progs.dat progs2.dat strings.txt
-UH2_DATADIR=	${WRKDIR}
-.endif
+PORTSCOUT=	skipb:yes
+
+.include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MHEXEN2}
 MAKE_ENV+=	BUILD_HEXEN2=yes
@@ -72,15 +55,14 @@ PLIST_SUB+=	HEXEN2="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MHW}
-. if empty(PORT_OPTIONS:MDEMO)
 MASTER_SITES+=	SF/${PORTNAME}/Hexen2%20GameData/hexenworld-pakfiles:hw
 DISTFILES+=	hexenworld-pakfiles-0.15${EXTRACT_SUFX}:hw
-. endif
 MAKE_ENV+=	BUILD_HW=yes
 PLIST_SUB+=	HW=""
 UH2_BIN+=	engine/hexenworld/client/glhwcl \
+		engine/hexenworld/client/hwcl \
 		engine/hexenworld/server/hwsv \
-		engine/hexenworld/client/hwcl
+		hw_utils/hwmaster/hwmaster
 .else
 PLIST_SUB+=	HW="@comment "
 .endif
@@ -101,46 +83,71 @@ PLIST_SUB+=	LAUNCHER_GTK2=""
 PLIST_SUB+=	LAUNCHER_GTK2="@comment "
 .endif
 
-.if ${PORT_OPTIONS:MX86_ASM} && ${ARCH} == "i386"
+.if ${PORT_OPTIONS:MLAUNCHER_GTK3}
+USE_GNOME+=	gtk30
+MAKE_ENV+=	BUILD_LAUNCHER_GTK3=yes
+PLIST_SUB+=	LAUNCHER_GTK3=""
+.else
+PLIST_SUB+=	LAUNCHER_GTK3="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MASM}
 BUILD_DEPENDS+=	nasm:${PORTSDIR}/devel/nasm
 MAKE_ENV+=	USE_X86_ASM=yes
+.else
+MAKE_ENV+=	USE_X86_ASM=no
 .endif
 
 post-extract:
 	@${CP} ${FILESDIR}/${MAKEFILE} ${WRKSRC}
 
+post-patch:
+.for f in engine/hexen2/Makefile engine/hexenworld/client/Makefile \
+	engine/hexenworld/server/Makefile hw_utils/hwmaster/Makefile \
+	launcher/Makefile libs/timidity/Makefile
+	@${REINPLACE_CMD} -e \
+		'/^USE_X86_ASM/s|^|#| ; \
+		 /^CPU_X86/s|^|#| ; \
+		 /^CFLAGS/s| -g | | ; \
+		 /^CFLAGS/s| -O2 | | ; \
+		 /^PTHREAD_LIBS/s|-lpthread|-pthread|' ${WRKSRC}/${f}
+.endfor
+.for f in engine/h2shared/cd_bsd.c
+	@${REINPLACE_CMD} -e \
+		's|"acd0"|"cd0"|' ${WRKSRC}/${f}
+.endfor
+.for f in engine/hexen2/sys_unix.c engine/hexenworld/client/sys_unix.c
+	@${REINPLACE_CMD} -e \
+		'/parms.basedir/s|= cwd;|= "${DATADIR}";|' ${WRKSRC}/${f}
+.endfor
+
 do-install:
 .for f in ${UH2_BIN}
-	${INSTALL_PROGRAM} ${WRKSRC}/${f} ${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/${f} ${STAGEDIR}${PREFIX}/bin
 .endfor
-	${MKDIR} ${DATADIR}/data1
-.for f in ${UH2_DATA}
-	${INSTALL_DATA} ${UH2_DATADIR}/data1/${f} ${DATADIR}/data1
+	${MKDIR} ${STAGEDIR}${DATADIR}/data1
+.for f in default.cfg hexen.rc progs.dat progs2.dat strings.txt
+	${INSTALL_DATA} ${WRKDIR}/data1/${f} ${STAGEDIR}${DATADIR}/data1
 .endfor
-.if empty(PORT_OPTIONS:MDEMO)
-	${INSTALL_DATA} ${WRKDIR}/patchdat/data1/* ${DATADIR}/data1
-	${CP} -R ${WRKDIR}/portals ${DATADIR}
-.endif
+	${INSTALL_DATA} ${WRKDIR}/patchdat/data1/* ${STAGEDIR}${DATADIR}/data1
+	@(cd ${WRKDIR} && ${COPYTREE_SHARE} portals ${STAGEDIR}${DATADIR})
 .if ${PORT_OPTIONS:MHW}
-	${MKDIR} ${DATADIR}/hw
-	${INSTALL_DATA} ${UH2_DATADIR}/hw/* ${DATADIR}/hw
+	${MKDIR} ${STAGEDIR}${DATADIR}/hw
+	${INSTALL_DATA} ${WRKDIR}/hw/* ${STAGEDIR}${DATADIR}/hw
 .endif
 .if ${PORT_OPTIONS:MLAUNCHER_GTK1}
-	${INSTALL_PROGRAM} ${WRKSRC}/launcher/h2launcher.gtk1 ${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/launcher/h2launcher.gtk1 \
+		${STAGEDIR}${PREFIX}/bin
 .endif
 .if ${PORT_OPTIONS:MLAUNCHER_GTK2}
-	${INSTALL_PROGRAM} ${WRKSRC}/launcher/h2launcher.gtk2 ${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/launcher/h2launcher.gtk2 \
+		${STAGEDIR}${PREFIX}/bin
 .endif
-.if ${PORT_OPTIONS:MDOCS}
-	${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/docs/* ${DOCSDIR}
-.endif
-
-.if empty(PORT_OPTIONS:MDEMO)
-post-install:
-	@${ECHO_CMD}
-	@${CAT} ${PKGMESSAGE}
-	@${ECHO_CMD}
+.if ${PORT_OPTIONS:MLAUNCHER_GTK3}
+	${INSTALL_PROGRAM} ${WRKSRC}/launcher/h2launcher.gtk3 \
+		${STAGEDIR}${PREFIX}/bin
 .endif
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/docs/* ${STAGEDIR}${DOCSDIR}
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/games/uhexen2/distinfo
==============================================================================
--- head/games/uhexen2/distinfo	Thu Feb 27 14:01:14 2014	(r346337)
+++ head/games/uhexen2/distinfo	Thu Feb 27 14:06:16 2014	(r346338)
@@ -1,8 +1,6 @@
-SHA256 (uhexen2/hexen2source-1.5.1.tgz) = da805bb45d54bb0a65df36cbbeba494c055ff7dbfbbdb3f2acd835778c0ccc0b
-SIZE (uhexen2/hexen2source-1.5.1.tgz) = 2133252
-SHA256 (uhexen2/gamedata-all-1.20.tgz) = aabc82d364c0f6fd89a51262db1dc2d76e7d1066bd79b2eb76909a55e4d99e73
-SIZE (uhexen2/gamedata-all-1.20.tgz) = 3807819
+SHA256 (uhexen2/hexen2source-1.5.6.tgz) = 4cf9a32aeb521076c2a6ee0d6a14d98ba27706403360a01e93b4754eb9d7619d
+SIZE (uhexen2/hexen2source-1.5.6.tgz) = 2357833
+SHA256 (uhexen2/gamedata-all-1.28.tgz) = ad40848ce4d009a9be1db551ee0e4cfbe2335ffea95bb2eccaf69314f4b8d571
+SIZE (uhexen2/gamedata-all-1.28.tgz) = 3805780
 SHA256 (uhexen2/hexenworld-pakfiles-0.15.tgz) = 49462cdf984deee7350d03c7d192d1c34d682647ffc9d06de4308e0a7c71c4d9
 SIZE (uhexen2/hexenworld-pakfiles-0.15.tgz) = 4948641
-SHA256 (uhexen2/hexen2demo-1.5.1-linux-i586.tgz) = 3a86f0cdeed6ec8a1be2565db418941ac9af450c1f95d475c340338b2035f737
-SIZE (uhexen2/hexen2demo-1.5.1-linux-i586.tgz) = 19516960

Modified: head/games/uhexen2/files/Makefile
==============================================================================
--- head/games/uhexen2/files/Makefile	Thu Feb 27 14:01:14 2014	(r346337)
+++ head/games/uhexen2/files/Makefile	Thu Feb 27 14:06:16 2014	(r346338)
@@ -10,7 +10,10 @@ ifeq ($(BUILD_HEXEN2),yes)
 	$(MAKE) -C engine/hexen2 glh2 clean
 endif
 ifeq ($(BUILD_HW),yes)
-	cd engine/hexenworld && ./build.sh
+	$(MAKE) -C engine/hexenworld/server hwsv clean
+	$(MAKE) -C engine/hexenworld/client hw localclean
+	$(MAKE) -C engine/hexenworld/client glhw localclean
+	$(MAKE) -C hw_utils/hwmaster hwmaster clean
 endif
 ifeq ($(BUILD_LAUNCHER_GTK1),yes)
 	$(MAKE) -C launcher GTK1=yes
@@ -22,3 +25,8 @@ ifeq ($(BUILD_LAUNCHER_GTK2),yes)
 	cd launcher && mv h2launcher h2launcher.gtk2
 	$(MAKE) -C launcher clean
 endif
+ifeq ($(BUILD_LAUNCHER_GTK3),yes)
+	$(MAKE) -C launcher GTK3=yes
+	cd launcher && mv h2launcher h2launcher.gtk3
+	$(MAKE) -C launcher clean
+endif

Modified: head/games/uhexen2/pkg-plist
==============================================================================
--- head/games/uhexen2/pkg-plist	Thu Feb 27 14:01:14 2014	(r346337)
+++ head/games/uhexen2/pkg-plist	Thu Feb 27 14:06:16 2014	(r346338)
@@ -2,10 +2,13 @@
 %%HW%%bin/glhwcl
 %%LAUNCHER_GTK1%%bin/h2launcher.gtk1
 %%LAUNCHER_GTK2%%bin/h2launcher.gtk2
+%%LAUNCHER_GTK3%%bin/h2launcher.gtk3
 %%HEXEN2%%bin/hexen2
 %%HW%%bin/hwcl
+%%HW%%bin/hwmaster
 %%HW%%bin/hwsv
 %%PORTDOCS%%%%DOCSDIR%%/ABOUT
+%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
 %%PORTDOCS%%%%DOCSDIR%%/BUGS
 %%PORTDOCS%%%%DOCSDIR%%/CHANGES
 %%PORTDOCS%%%%DOCSDIR%%/CHANGES.old
@@ -15,7 +18,6 @@
 %%PORTDOCS%%%%DOCSDIR%%/README
 %%PORTDOCS%%%%DOCSDIR%%/README.3dfx
 %%PORTDOCS%%%%DOCSDIR%%/README.AoT
-%%PORTDOCS%%%%DOCSDIR%%/README.demo
 %%PORTDOCS%%%%DOCSDIR%%/README.dos
 %%PORTDOCS%%%%DOCSDIR%%/README.hwcl
 %%PORTDOCS%%%%DOCSDIR%%/README.hwmaster
@@ -23,46 +25,39 @@
 %%PORTDOCS%%%%DOCSDIR%%/README.launcher
 %%PORTDOCS%%%%DOCSDIR%%/README.music
 %%PORTDOCS%%%%DOCSDIR%%/README.win32
-%%PORTDOCS%%%%DOCSDIR%%/ReleaseNotes-1.2.3
-%%PORTDOCS%%%%DOCSDIR%%/ReleaseNotes-1.2.4a
-%%PORTDOCS%%%%DOCSDIR%%/ReleaseNotes-1.3.0
-%%PORTDOCS%%%%DOCSDIR%%/ReleaseNotes-1.4.0
-%%PORTDOCS%%%%DOCSDIR%%/ReleaseNotes-1.4.1
-%%PORTDOCS%%%%DOCSDIR%%/ReleaseNotes-1.4.2
-%%PORTDOCS%%%%DOCSDIR%%/ReleaseNotes-1.4.3
-%%PORTDOCS%%%%DOCSDIR%%/ReleaseNotes-1.5.0
-%%PORTDOCS%%%%DOCSDIR%%/ReleaseNotes-1.5.1
+%%PORTDOCS%%%%DOCSDIR%%/ReleaseNotes
+%%PORTDOCS%%%%DOCSDIR%%/ReleaseNotes.old
 %%PORTDOCS%%%%DOCSDIR%%/SrcNotes.txt
 %%PORTDOCS%%%%DOCSDIR%%/TODO
+%%DATADIR%%/data1/data1pk0.xd3
+%%DATADIR%%/data1/data1pk1.xd3
 %%DATADIR%%/data1/default.cfg
 %%DATADIR%%/data1/hexen.rc
-%%DEMO%%%%DATADIR%%/data1/pak0.pak
-%%FULL%%%%DATADIR%%/data1/data1pk0.xd3
-%%FULL%%%%DATADIR%%/data1/data1pk1.xd3
 %%DATADIR%%/data1/progs.dat
-%%FULL%%%%DATADIR%%/data1/progs2.dat
-%%FULL%%%%DATADIR%%/data1/strings.txt
+%%DATADIR%%/data1/progs2.dat
+%%DATADIR%%/data1/strings.txt
 %%HW%%%%DATADIR%%/hw/default.cfg
 %%HW%%%%DATADIR%%/hw/hwprogs.dat
+%%HW%%%%DATADIR%%/hw/mapcycle.cfg
 %%HW%%%%DATADIR%%/hw/pak4.pak
-%%FULL%%%%HW%%%%DATADIR%%/hw/pak4_readme.txt
+%%HW%%%%DATADIR%%/hw/pak4_readme.txt
+%%HW%%%%DATADIR%%/hw/server.cfg
 %%HW%%%%DATADIR%%/hw/strings.txt
-%%FULL%%%%HW%%%%DATADIR%%/hw/strings.txt.demo
-%%FULL%%%%DATADIR%%/portals/default.cfg
-%%FULL%%%%DATADIR%%/portals/hexen.rc
-%%FULL%%%%DATADIR%%/portals/infolist.txt
-%%FULL%%%%DATADIR%%/portals/maplist.txt
-%%FULL%%%%DATADIR%%/portals/progs.dat
-%%FULL%%%%DATADIR%%/portals/puzzles.txt
-%%FULL%%%%DATADIR%%/portals/strings.txt
-%%FULL%%%%DATADIR%%/portals/maps/README.txt
-%%FULL%%%%DATADIR%%/portals/maps/tibet2.ent
-%%FULL%%%%DATADIR%%/portals/maps/tibet2.txt
-%%FULL%%%%DATADIR%%/portals/maps/tibet9.ent
-%%FULL%%%%DATADIR%%/portals/maps/tibet9.txt
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
-%%FULL%%@dirrm %%DATADIR%%/portals/maps
-%%FULL%%@dirrm %%DATADIR%%/portals
+%%DATADIR%%/portals/default.cfg
+%%DATADIR%%/portals/hexen.rc
+%%DATADIR%%/portals/infolist.txt
+%%DATADIR%%/portals/maplist.txt
+%%DATADIR%%/portals/maps/README.txt
+%%DATADIR%%/portals/maps/tibet2.ent
+%%DATADIR%%/portals/maps/tibet2.txt
+%%DATADIR%%/portals/maps/tibet9.ent
+%%DATADIR%%/portals/maps/tibet9.txt
+%%DATADIR%%/portals/progs.dat
+%%DATADIR%%/portals/puzzles.txt
+%%DATADIR%%/portals/strings.txt
+@dirrm %%DATADIR%%/portals/maps
+@dirrm %%DATADIR%%/portals
 %%HW%%@dirrm %%DATADIR%%/hw
 @dirrm %%DATADIR%%/data1
 @dirrm %%DATADIR%%
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"